_nostub		xdef _nostub
_ti92plus	xdef _ti92plus

 movem	d0-d2/a0,-(sp)	;save registers
 move.w	$200002,d0	;initial ssp
 cmpi.w	#$4440,d0	;on a simple TI-92 (I hope this is correct)
 beq	compat		;ok
 move.l	#$10000,-(sp)	;left button: "Enter=OK" right button: none
 pea	notok(pc)	;text address
 pea	title(pc)	;title address
 move.l	200,a0
 move.l	1744(a0),a0
 jsr	(a0)		;call the rom-call
 lea	12(sp),sp	;restore the stack
 bra	quit		;quit

compat:
 move.l	#$10004,-(sp)	;left button: "Enter=OK" right button: "Esc=CANCEL"
 pea	ok(pc)		;text address
 pea	title(pc)	;title address
 move.l	200,a0
 move.l	1744(a0),a0
 jsr	(a0)		;call the rom-call
 lea	12(sp),sp	;restore the stack
 cmpi.w	#264,d0		;Esc pressed? (if not: Enter)
 beq	quit		;quit
 trap	#12		;switch to supervisor mode (sr -> d0)
 lea	$4440,sp	;put the good address in ssp
 jmp	$20013E		;jump to the simple TI-92 reset, skipping the
			;plus module check
quit:
 movem	(sp)+,d0-d2/a0	;restore registers
 rts			;quit

notok:
 dc.b "Calculatrice incompatible :(",0
title:
 dc.b "Nostalgia 1.0 - elendur@hotmail.com",0
ok:
 dc.b "Passer  l'OS de la TI-92 simple?",0

 end